Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.file
Class FileOperations

    java.lang.Object
      org.statcato.file.FileOperations

    public class FileOperations

extends java.lang.Object

A collection of file operations.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Constructor Summary
`FileOperations()`

Method Summary
`static java.io.File` | `getRecentDatasheet()` Returns the recent datasheet file.
`static java.io.File` | `getRecentProject()` Returns the recent project file.
`static void` | `openDatasheet(Statcato app)` Opens a datasheet
`static void` | `openLogFile(Statcato app)` Opens a log.
`static void` | `openProjectFile(Statcato app)` Opens a project.
`static void` | `saveDatasheet(Statcato app, boolean isSaveAs)` Saves the current datasheet of the application to a file.
`static void` | `saveProject(Statcato app, boolean isSaveAs)` Saves the current project of the application to a file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileOperations

    public FileOperations()

Method Detail

### openLogFile

    public static void openLogFile(Statcato app)

  Opens a log.

  Parameters:
    `app` - parent application

### openDatasheet

    public static void openDatasheet(Statcato app)

  Opens a datasheet

  Parameters:
    `app` - parent application

### openProjectFile

    public static void openProjectFile(Statcato app)

  Opens a project.

  Parameters:
    `app` - parent application

### saveDatasheet

    public static void saveDatasheet(Statcato app,
                                     boolean isSaveAs)

  Saves the current datasheet of the application to a file.

  Parameters:
    `app` - Statcato application
    `isSaveAs` - whether to save as

### saveProject

    public static void saveProject(Statcato app,
                                   boolean isSaveAs)

  Saves the current project of the application to a file.

  Parameters:
    `app` - Statcato application
    `isSaveAs` - whether to save as

### getRecentDatasheet

    public static java.io.File getRecentDatasheet()

  Returns the recent datasheet file.

  Returns:
    recent datasheet file

### getRecentProject

    public static java.io.File getRecentProject()

  Returns the recent project file.

  Returns:
    recent project file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD